#version 420

layout(location=0) in vec4 in_Position;
layout(location=1) in vec3 in_Colour;

layout (location=0) out vec3 Colour;

uniform TransBlock {
    mat4 mm, vm, pm, vpm;
    vec4 eyepos;
  } trb;

void main ( void )
{
  vec4 Pos;

  Colour = in_Colour;
  Pos = trb.mm * in_Position;
  gl_Position = vec4 ( Pos.xyz/Pos.w, 1.0 );
} /*main*/
